package com.thinkgem.jeesite.modules.pay.juhezhong.dto;

import java.math.BigDecimal;

/**
 * Created by lishi on 2017/11/12.
 */
public class QuickDto extends CommonDto {

    private Integer trxType;//交易类型  默认传2   T1(2,"T1"), D0(3,"D0");

    private String bankNo;//支付银行卡号

    private String frontUrl;//前台返回地址

    private String certificateCode;//身份证号

    private String settleBankName;//结算银行

    private String settleBankNo;//结算银行卡号

    private String name;//真实姓名

    private String phone;//交易卡预留手机号

    private String settleBankPhone;//结算卡手机号


    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSettleBankPhone() {
        return settleBankPhone;
    }

    public void setSettleBankPhone(String settleBankPhone) {
        this.settleBankPhone = settleBankPhone;
    }

    private BigDecimal userFee;


    public BigDecimal getUserFee() {
        return userFee;
    }

    public void setUserFee(BigDecimal userFee) {
        this.userFee = userFee;
    }

    public Integer getTrxType() {
        return trxType;
    }

    public void setTrxType(Integer trxType) {
        this.trxType = trxType;
    }

    public String getBankNo() {
        return bankNo;
    }

    public void setBankNo(String bankNo) {
        this.bankNo = bankNo;
    }

    @Override
    public String getFrontUrl() {
        return frontUrl;
    }

    @Override
    public void setFrontUrl(String frontUrl) {
        this.frontUrl = frontUrl;
    }

    public String getCertificateCode() {
        return certificateCode;
    }

    public void setCertificateCode(String certificateCode) {
        this.certificateCode = certificateCode;
    }

    public String getSettleBankName() {
        return settleBankName;
    }

    public void setSettleBankName(String settleBankName) {
        this.settleBankName = settleBankName;
    }

    public String getSettleBankNo() {
        return settleBankNo;
    }

    public void setSettleBankNo(String settleBankNo) {
        this.settleBankNo = settleBankNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
